<?php

namespace App\Models\Product;

use Illuminate\Support\Collection;

use App\Interfaces\ProductSupplier;
use App\Models\Base\ProductType;
use App\Traits\NextKey;

class Domain extends ProductType implements ProductSupplier
{
	use NextKey;
	const RECORD_ID = '';

	public function allowance(): Collection
	{
		// N/A
		return collect();
	}

	public function allowance_string(): string
	{
		// N/A
		return '';
	}

	public function getCostAttribute(): float
	{
		// N/A
		return 0;
	}

	public function getSupplierAttribute()
	{
		return '';
	}
}